/**
 * LibreSource
 * Copyright (C) 2004-2008 Artenum SARL / INRIA
 * http://www.libresource.org - contact@artenum.com
 *
 * This file is part of the LibreSource software, 
 * which can be used and distributed under license conditions.
 * The license conditions are provided in the LICENSE.TXT file 
 * at the root path of the packaging that enclose this file. 
 * More information can be found at 
 * - http://dev.libresource.org/home/license
 *
 * Initial authors :
 *
 * Guillaume Bort / INRIA
 * Francois Charoy / Universite Nancy 2
 * Julien Forest / Artenum
 * Claude Godart / Universite Henry Poincare
 * Florent Jouille / INRIA
 * Sebastien Jourdain / INRIA / Artenum
 * Yves Lerumeur / Artenum
 * Pascal Molli / Universite Henry Poincare
 * Gerald Oster / INRIA
 * Mariarosa Penzi / Artenum
 * Gerard Sookahet / Artenum
 * Raphael Tani / INRIA
 *
 * Contributors :
 *
 * Stephane Bagnier / Artenum
 * Amadou Dia / Artenum-IUP Blois
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 */
package org.libresource.web.controllers.so6;

import org.libresource.Libresource;

import org.libresource.so6.server.ls.LibresourceSynchronizerConstants;
import org.libresource.so6.server.ls.interfaces.LibresourceSynchronizerService;

import org.libresource.web.Controller;

import java.net.URI;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;


public class PatchInspectorController implements Controller {
    public Object process(URI uri, HttpServletRequest request, HttpServletResponse response)
        throws Exception {
        String protocol = "http";

        protocol = request.getScheme();

        request.setAttribute("url",
            protocol + "://" + request.getServerName() + ":" + request.getServerPort() + request.getContextPath() + uri.toString() + "?action=getPatch&from=" +
            request.getParameter("from") + "&to=" + request.getParameter("to"));

        LibresourceSynchronizerService libresourceSynchronizerService = (LibresourceSynchronizerService) Libresource.getService(LibresourceSynchronizerConstants.SERVICE);
        request.setAttribute("encoding", libresourceSynchronizerService.getSynchronizer(uri).getFileEncoding());

        return "/pages/modules/so6/jnlp/inspector.jsp";
    }
}
