/**
 * LibreSource Community
 * Copyright (C) 2004-2006 Artenum SARL / INRIA
 * http://www.libresource.org - contact@libresource.org
 *
 * This software is not a free software; you can modify it under the
 * LibreSource Enterprise user license but you can't redistribute it.
 * See licenses details in LSE-user-license.txt 
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 */
package org.libresource.web.servlets;

import org.libresource.Libresource;

import org.libresource.kernel.interfaces.KernelService;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;


public class Logout extends BaseServlet {
    protected void process(HttpServletRequest request, HttpServletResponse response)
        throws Exception {
        // invalidate the local session
        request.getSession().invalidate();

        // invalidate the cas server session
        KernelService kernelService = (KernelService) Libresource.getService("Kernel");
        StringBuffer url = new StringBuffer();
        url.append(kernelService.getAuthUrl() + "/logout?service=");

        url.append(request.getScheme());

        url.append("://" + request.getServerName() + ":" + request.getServerPort() + request.getContextPath());

        String redirect = request.getParameter("redirect");

        if (redirect != null) {
            url.append(redirect);
        }

        response.sendRedirect(url.toString());

        //request.getSession().invalidate();
        //response.sendRedirect(request.getContextPath());
    }
}
