<%@ taglib prefix="decorator" uri="sitemesh-decorator" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="ls" uri="http://www.libresource.org/taglib" %>

<%
  request.setAttribute("session", session);
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr">
	<head>
	    <meta http-equiv="content-type" content="text/html;charset=iso-8859-1" />
	    <meta http-equiv="pragma" content="no-cache"/>
 		<title><fmt:message key="main.title"/><c:if test="${resource!=null}"> - ${resource.shortResourceName}</c:if></title>
 		<decorator:head />
 		<base href="${ls:serverUrl()}/"/>
 		<link rel="stylesheet" type="text/css" href="${ls:prefferedSkin(null).css}" media="screen"/>
 		<link rel="icon" type="image/x-icon" href="pages/images/icons/libresource.ico" />
 	</head>
 	
 	<body id="libresource">
		<div id="header">
		
			<div id="lMainTabs">
				<h3><span>Libresource</span></h3>
				<c:set var="resourceView" value="${resource!=null && resource.uri.path!='/documentation'}" scope="page"/>
				<c:set var="userUri" value="/users/${security_username}" scope="page"/>
				<c:set var="isMyPage" value="${fn:startsWith(resource.uri.path, userUri)}" scope="page"/>
				<ul>
					<li ${(resourceView && !search && !isMyPage)?'class="current"':''}><a href="projects"><fmt:message key="main.tabs.home"/></a></li>
					<li ${(search)?'class="current"':''}><a href="projects?action=search"><fmt:message key="main.tabs.search"/></a></li>
					<c:choose>
						<c:when test="${security_username!=null}">
							<li ${(resourceView && isMyPage)?'class="current"':''}><a href="users/${security_username}"><fmt:message key="main.tabs.mypage"/></a></li>
						</c:when>
						<c:otherwise>
							<li class="disabled"><span><fmt:message key="main.tabs.mypage"/></span></li>
						</c:otherwise>
					</c:choose>
				</ul>
			</div>
			
			<div id="login">
				<c:if test="${ls:isSuperUser()}">
					<span id="connectedAsRoot"><fmt:message key="main.user.logged.as.root"/> - </span>
 				</c:if>
				<span id="connectedUser">${ls:connectedUser()} - </span>
				<span id="loginaction">
				<% if(request.getSession().getAttribute("security_username")!=null) { %>
					<c:choose>
						<c:when test="${resource!=null}">
							<a href="Logout?redirect=${resource.uri.path}"><fmt:message key="main.user.logout"/></a>
						</c:when>
						<c:otherwise>
							<a href="Logout"><fmt:message key="main.user.logout"/></a>
						</c:otherwise>	
					</c:choose>			
				<% } else { %>
					<a href="CASLogin"><fmt:message key="main.user.login"/></a>
				<% } %>
				</span>	 				 
			</div>
	
			<div id="lNavigation">
				<h3><span>Navigation</span></h3>
				<c:choose>
					<c:when test="${resource!=null}">
						<div id="bar">
							<fmt:message key="main.navigation.header"/>
							<c:forEach items="${ls:navigationBar(resource.uri)}" var="item" varStatus="status"><a href="<%=request.getContextPath()%>${item[0]}" title="${item[1]}" ${(status.last)?'class="last"':''}>${item[2]}</a><c:if test="${!status.last}"><span class="sepa">&gt;</span></c:if></c:forEach>
						</div>
					</c:when>
					<c:otherwise>
						<div id="bar">
							&nbsp;
						</div>
					</c:otherwise>	
				</c:choose>			
			</div>		

		</div>
		
		<div id="masterContent" class="${(resource!=null)?'resourceView':'simpleView'}">		
			<c:choose>
				<c:when test="${resource!=null}">

					<div id="holder">
					
						<div id="contextualMenu">	
							<h3 id="title"><span>Contextual Menu</span></h3>
							<div id="menuContent">
								${ls:menu(resource.uri)}
							</div>
							<div id="editMenu">
								<a href="${ls:path(resource.uri)}?action=editMenu"><fmt:message key="main.menu.edit"/></a>
							</div>			
						</div>
							
						<div id="resourceContent">	
							<div id="resourceMenu">		
								<h3><span>Resource Menu</span></h3>
								<ul>
									<c:if test="${!resource.isEmpty}">
										<li id="MenuProperties"><a href="${ls:path(resource.uri)}?action=edit"><fmt:message key="main.action.edit"/></a></li>
									</c:if>
									<li id="MenuSecurity"><a href="${ls:path(resource.uri)}?action=security"><fmt:message key="main.action.security"/></a></li>
									<li id="MenuOthers">
										<select name="action" onChange="location=this.options[this.selectedIndex].value;">
											<option value=""><fmt:message key="main.action.more"/></option>
											<option value="${ls:path(resource.uri)}"><fmt:message key="main.action.separator"/></option>
											<option value="${ls:path(resource.uri)}?action=infos"><fmt:message key="node.infos.action"/></option>
											<option value="${ls:path(resource.uri)}?action=new"><fmt:message key="main.action.create"/></option>
											<option value="${ls:path(resource.uri)}?action=delete"><fmt:message key="main.action.delete"/></option>
											<option value="${ls:path(resource.uri)}?action=move"><fmt:message key="main.action.move"/></option>
											<option value="${ls:path(resource.uri)}?action=unbind"><fmt:message key="main.action.unbind"/></option>
											<option value="${ls:path(resource.uri)}"><fmt:message key="main.action.separator"/></option>
											<option value="${ls:path(resource.uri)}?action=children"><fmt:message key="main.action.children"/></option>
											<option value="${ls:path(resource.uri)}/.."><fmt:message key="main.action.parent"/></option>
											<c:if test="${ls:canRegister()}">
												<option value="${ls:path(resource.uri)}"><fmt:message key="main.action.separator"/></option>
												<option value="CreateUser"><fmt:message key="login.newuser"/></option>
											</c:if>
											<% if(request.getSession().getAttribute("security_username")!=null) { %>
												<option value="${ls:path(resource.uri)}"><fmt:message key="main.action.separator"/></option>
												<option value="${ls:path(resource.uri)}?action=addToBookmarks"><fmt:message key="main.action.bookmark"/></option>
												<option value="${ls:path(resource.uri)}?action=watch"><fmt:message key="main.action.watch"/></option>
											<% } %>
											<option value="${ls:path(resource.uri)}"><fmt:message key="main.action.separator"/></option>
											<option value="${ls:path(resource.uri)}?action=search"><fmt:message key="main.action.search"/></option>
											<c:if test="${ls:isSuperUser()}">
												<option value="${ls:path(resource.uri)}?action=indexation"><fmt:message key="main.action.index"/></option>
												<option value="<%=request.getContextPath()%>${ls:serverConfigURI()}"><fmt:message key="main.server.config"/></option>
							 				</c:if>							 				
										</select>
									</li>
								</ul>
							</div>
							
							<div id="resourceView">		
								<div id="resourceHeader" class="resource${ls:typeName(resource)}">
									<h3>
										<a href="${ls:path(resource.uri)}" title="">${resource.shortResourceName}</a>
										<span class="icons">
											<% if(request.getSession().getAttribute("security_username")!=null) { %>
												<a class="bookmarks" href="${ls:path(resource.uri)}?action=addToBookmarks"><img class="sanscons" src="pages/images/clearbits/heart.gif" title="<fmt:message key="membership.bookmarks.action"/>"/></a>
												<a class="events" href="${ls:path(resource.uri)}?action=watch"><img class="sanscons" src="pages/images/clearbits/search.gif" title="<fmt:message key="main.action.watch"/>"/></a>
											<% } %>
										</span>

									</h3>
								</div>
								<div id="resourceConcreteView">
										<decorator:body />
								</div>
							</div>	
						</div>					
					</div>

				</c:when>
				<c:otherwise>
					<div>	
						<decorator:body />
					</div>
				</c:otherwise>
			</c:choose>
		</div>
		
		<div id="footer" class="${(resource!=null)?'resourceView':'simpleView'}">			
			<c:if test="${resource!=null}"><a href="${ls:path(resource.uri)}?printable=true
			<c:if test="${param.action!=null}">&amp;action=${param.action}</c:if>
			<c:if test="${param.view!=null}">&amp;view=${param.view}</c:if>
			<c:if test="${param.expand!=null}">&amp;expand=${param.expand}</c:if>
			<c:if test="${param.depth!=null}">&amp;depth=${param.depth}</c:if>
			"><fmt:message key="main.footer.print"/></a> - </c:if> <fmt:message key="main.footer.comment"/><span id="requestTime"> - (<%= System.currentTimeMillis() - ((Long)request.getAttribute("time")).longValue()  %> ms)</span>
		</div>

	</body>
 	
</html>
